Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030210
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSmajoralways2015-03-16 18:532015-07-27 14:04
ReporterjecharriView Statuspublic 
Assigned Toaaroncalero 
PriorityurgentResolutionfixedFixed in VersionRR15Q2.3
StatusclosedFix in branchFixed in SCM revision74d8592251cb
ProjectionnoneETAnoneTarget VersionRR15Q2.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030210: In paymentmethodcashup table one ticket can be added 2 times

DescriptionIn paymentmethodcashup table one ticket can be added 2 times. It seems that under some circumstances is possible to press 2 times done button and this will create the problem with paymentmethod cash up table.
Steps To Reproduce-Go to Web POS
-Do a ticket
-Press in total
-Add the payment
-Press done
-Before the order is saved press F5, you will be able to press again done button and the receipt will be added again to the paymentmethodcashup table
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0029302RR15Q3 closedaaroncalero In paymentmethodcashup table one ticket can be added 2 times 

-  Notes
(0078828)
hgbot (developer)
2015-07-15 17:34

Repository: retail/backports/3.0RR15Q2.3/org.openbravo.retail.posterminal
Changeset: 74d8592251cb945904412e498a8a6267bac7c603
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jul 15 17:34:20 2015 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR15Q2.3/org.openbravo.retail.posterminal/rev/74d8592251cb945904412e498a8a6267bac7c603 [^]

Fixed issue 30210. In paymentmethodcashup table one ticket can be added 2 times

Refactored the ticket closing process to be done in a sql transaction. Now if the user reloads the application while the closing process is active, all the changes done to the local database will be rolled back

---
M web/org.openbravo.retail.posterminal/js/data/dataordersave.js
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
M web/org.openbravo.retail.posterminal/js/utils/cashUpReportUtils.js
---
(0079080)
guilleaer (developer)
2015-07-27 14:04

tested and verified

- Issue History
Date Modified Username Field Change
2015-06-19 10:39 Orekaria Type defect => backport
2015-06-19 10:39 Orekaria Target Version RR15Q3 => RR15Q2.3
2015-07-15 17:34 hgbot Checkin
2015-07-15 17:34 hgbot Note Added: 0078828
2015-07-15 17:34 hgbot Status scheduled => resolved
2015-07-15 17:34 hgbot Resolution open => fixed
2015-07-15 17:34 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9013ba1d307c9485a2141b400cb65ddd0f2cc7e6 [^] => http://code.openbravo.com/retail/backports/3.0RR15Q2.3/org.openbravo.retail.posterminal/rev/74d8592251cb945904412e498a8a6267bac7c603 [^]
2015-07-27 14:04 guilleaer Review Assigned To marvintm => guilleaer
2015-07-27 14:04 guilleaer Note Added: 0079080
2015-07-27 14:04 guilleaer Status resolved => closed
2015-07-27 14:04 guilleaer Fixed in Version => RR15Q2.3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker